#include <bits/stdc++.h>
using namespace std;
int neg[200005];
  int n;
  string s;
int main(){
    cin >> n;
    int brn = 0, brp = 0;
    bool svi = true;
  for(int i = 1; i<=n; i++) {cin >> neg[i];
        if(neg[i]%2) svi = false;
        if(neg[i]<0) brn++;
        else brp++;
  }
  if(svi){
    if(brn>brp){
    for(int i = 1; i<=brn; i++){
        s = s+"21"
    }
    s.pop_back();
    cout << n << endl << s << endl;
    }
    else if(brn==brp){
    for(int i = 1; i<=brn; i++){
        s = s+"21"
    }
    cout << n << endl << s << endl;
    }
    else if(brn<brp){
    for(int i = 1; i<=brp; i++){
        s = s+"12"
    }
    cout << n << endl << s << endl;
    }
    return 0;
  }
    for(int i = 1; i<=n; i++){
        s = s+"23";
    }
    s.pop_back();
    cout << n << endl << s << endl;
    return 0;
}